package com.usky.iot.mapper;

import com.usky.common.mybatis.core.CrudMapper;
import com.usky.iot.domain.DmpDeviceStatus;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;


/**
 * <p>
 * 设备状态表 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
public interface DmpDeviceStatusMapper extends CrudMapper<DmpDeviceStatus> {


    List<Map<String, Object>> getDeviceStatusCollect(@Param("productId") Integer productId,
                                                     @Param("startTime") Date startTime,
                                                     @Param("endTime") Date endTime);


    List<Map<String,Object>> getMonthCollect(@Param("productId") Integer productId,
                                             @Param("startTime") Date startTime,
                                             @Param("endTime") Date endTime);

    String getDayHyList(@Param("productId") Integer productId,
                        @Param("startTime") Date startTime,
                        @Param("endTime") Date endTime);
}
